# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(WWW/SearchResult.pm) perl-podlators
# END SourceDeps(oneline)
%define real_name WWW-Search-AlltheWeb

Summary:	WWW::Search::AlltheWeb - class for searching AlltheWeb
Name:		perl-%{real_name}
Version:	1.5
Release: alt2_11
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/WWW//%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl(WWW/Search.pm)
BuildArch:	noarch
Source44: import.info


%description
AlltheWeb is a class specialization of WWW::Search. It handles
making and interpreting AlltheWeb searches. This is one of the
fastest and largest search engines around.

http://www.alltheweb.com

This class exports no public interface; all interaction should
be done through WWW::Search objects. See SYNOPSIS.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc README
%{perl_vendor_privlib}/WWW/Search/*

%changelog
* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.5-alt2_11
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.5-alt2_10
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 1.5-alt2_9
- rebuild to get rid of unmets

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_9
- mga update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_8
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_7
- converted for ALT Linux by srpmconvert tools

